Apache Tomcat 6.0.53

## org.apache.naming
Class EjbRef

    java.lang.Object
      javax.naming.Reference
          org.apache.naming.EjbRef

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class EjbRef

extends javax.naming.Reference

Represents a reference address to an EJB.

Author:
  Remy Maucherat
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_FACTORY` Default factory for this reference.
`static java.lang.String` | `LINK` Link address type.
`static java.lang.String` | `REMOTE` Remote interface classname address type.
`static java.lang.String` | `TYPE` EJB type address type.

Fields inherited from class javax.naming.Reference
`addrs, classFactory, classFactoryLocation, className`

Constructor Summary
`EjbRef(java.lang.String ejbType, java.lang.String home, java.lang.String remote, java.lang.String link)` EJB Reference.
`EjbRef(java.lang.String ejbType, java.lang.String home, java.lang.String remote, java.lang.String link, java.lang.String factory, java.lang.String factoryLocation)` EJB Reference.

Method Summary
`java.lang.String` | `getFactoryClassName()` Retrieves the class name of the factory of the object to which this reference refers.

Methods inherited from class javax.naming.Reference
`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_FACTORY

    public static final java.lang.String DEFAULT_FACTORY

  Default factory for this reference.

  See Also:
    Constant Field Values

### TYPE

    public static final java.lang.String TYPE

  EJB type address type.

  See Also:
    Constant Field Values

### REMOTE

    public static final java.lang.String REMOTE

  Remote interface classname address type.

  See Also:
    Constant Field Values

### LINK

    public static final java.lang.String LINK

  Link address type.

  See Also:
    Constant Field Values

Constructor Detail

### EjbRef

    public EjbRef(java.lang.String ejbType,
                  java.lang.String home,
                  java.lang.String remote,
                  java.lang.String link)

  EJB Reference.

  Parameters:
    `ejbType` - EJB type
    `home` - Home interface classname
    `remote` - Remote interface classname
    `link` - EJB link

### EjbRef

    public EjbRef(java.lang.String ejbType,
                  java.lang.String home,
                  java.lang.String remote,
                  java.lang.String link,
                  java.lang.String factory,
                  java.lang.String factoryLocation)

  EJB Reference.

  Parameters:
    `ejbType` - EJB type
    `home` - Home interface classname
    `remote` - Remote interface classname
    `link` - EJB link

Method Detail

### getFactoryClassName

    public java.lang.String getFactoryClassName()

  Retrieves the class name of the factory of the object to which this reference refers.

  Overrides:
    `getFactoryClassName` in class `javax.naming.Reference`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.